# Module: `menubar.icon_theme`

(Deprecated) class module for icon lookup for menubar

### Info:

- Copyright: 2015 Kazunobu Kuriyama
- Originally authored by: Kazunobu Kuriyama
  (Full contributors list available on our github project)

## Deprecated functions

menubar.icon_theme.new (icon_theme_name, base_directories) | Class constructor of icon_theme | Deprecated
:find_icon_path (icon_name, icon_size) | Look up an image file based on a given icon name and/or a preferable size. | Deprecated

## Deprecated functions

🔗 menubar.icon_theme.new (icon_theme_name, base_directories) · 1 theme variable
  Class constructor of icon_theme

  ### Parameters:

  Name |  | Type(s) | Description
  --- | --- | --- | ---
  icon_theme_name |  | string | Internal name of icon theme
  base_directories |  | table | Paths used for lookup

  ### Returns:

  table An instance of the class icon_theme
  Click to display more

  ### Consumed theme variables:

  Theme variable | Usage
  --- | ---
  beautiful.icon_theme |

🔗 :find_icon_path (icon_name, icon_size)
  Look up an image file based on a given icon name and/or a preferable size.

  ### Parameters:

  Name |  | Type(s) | Description
  --- | --- | --- | ---
  icon_name |  | string | Icon name to be looked up
  icon_size |  | number | Prefereable icon size

  ### Returns:

  string Absolute path to the icon file, or nil if not found

generated by LDoc 1.5.0